%global namedreltag -b003
%global namedversion %{version}%{?namedreltag}
Name:          glassfish-gmbal
Version:       3.2.0
Release:       0.1.b003%{?dist}
Summary:       GlassFish MBean Annotation Library
Group:         Development/Libraries
License:       CDDL and GPLv2 with exceptions
URL:           http://java.net/projects/gmbal/pages/Home
# hg clone -r VERSION-3.2.0-b003 https://hg.java.net/hg/gmbal~master glassfish-gmbal-3.2.0-b003
# find glassfish-gmbal-3.2.0-b003/ -name '*.jar' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.class' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.tgz' -delete
# find glassfish-gmbal-3.2.0-b003/ -name '*.zip' -delete
# tar czf glassfish-gmbal-3.2.0-b003-src-hg.tar.gz glassfish-gmbal-3.2.0-b003
Source0:       glassfish-gmbal-%{namedversion}-src-hg.tar.gz
# custom build file (unavailable build deps maven-ant-tasks 2.1.3)
Source1:       glassfish-gmbal-%{namedversion}-01-build.xml
Source2:       http://repo1.maven.org/maven2/org/glassfish/gmbal/gmbal/%{namedversion}/gmbal-%{namedversion}.pom
Source3:       http://repo1.maven.org/maven2/org/glassfish/gmbal/gmbal-api-only/%{namedversion}/gmbal-api-only-%{namedversion}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: aqute-bnd
BuildRequires: junit

BuildRequires: glassfish-management-api
BuildRequires: glassfish-pfl

Requires:      glassfish-management-api
Requires:      glassfish-pfl

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX 
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

cp -p %{SOURCE1} build.xml

sed -i "s|-include bnd.properties|Bundle-Version: %{namedversion}|" make/*.bnd

%build

%ant osgi javadoc test

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/bundles/gmbal.jar  %{buildroot}%{_javadir}/%{name}.jar
install -m 644 dist/bundles/gmbal-api-only.jar  %{buildroot}%{_javadir}/%{name}-api-only.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}-api-only.pom
%add_maven_depmap JPP-%{name}-api-only.pom %{name}-api-only.jar

#sed -i "s|gmbal/javadoc/index.html|%%{_javadocdir}/%%{name}/index.html|" index.html
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/JPP-%{name}*.pom
%{_mavendepmapfragdir}/%{name}
%doc legal/LICENSE.TXT

%files javadoc
%{_javadocdir}/%{name}
%doc legal/LICENSE.TXT
#oc FunctionalSpec.html Gmbal.png GmbalPresentation.pdf index.html

%changelog
* Wed Sep 19 2012 gil cattaneo <puntogil@libero.it> 3.2.0-0.1.b003
- initial rpm